import { world, system } from "@minecraft/server";

const interval = 8 * 1

system.runInterval(function tick() {

    const { currentTick } = tick

    if (currentTick % interval !== 0) return;

    for (const player of world.getPlayers()) {
        player.runCommandAsync(`execute as @s[hasitem={item=cb:cloud_boots,location=slot.armor.feet}] at @s run particle minecraft:llama_spit_smoke ~~~`)
    }
    system.run
}, interval);
//execute if entity @a[hasitem={item=wc:cloud_boots,location=slot.armor.feet}] at @a if entity @a run particle minecraft:llama_spit_smoke ~ ~ ~

//execute @s[hasitem={item=wc:cloud_boots,location=slot.armor.feet}] ~ ~ ~ particle minecraft:llama_spit_smoke ~ ~ ~
