import { world, system } from "@minecraft/server";

const interval = 0 * 1

system.runInterval(function tick() {

    const { currentTick } = tick

    if (currentTick % interval !== 0) return;

    for (const player of world.getPlayers()) {
        player.runCommandAsync(`execute as @s[hasitem={item=cb:cloud_boots,location=slot.armor.feet}] at @s run effect @s speed 1 0 true`)
        player.runCommandAsync(`execute as @s[hasitem={item=cb:cloud_boots,location=slot.armor.feet}] at @s run effect @s jump_boost 1 4 true`)
    }
    system.run
}, interval);