import "./cloudboots.js";

//index.js does nothing

let run = system.runInterval(
    () => {
        //code to run
    },
);

//to clear the run
system.clearRun(run);

import { system } from "@minecraft/server"

let lastTick = Date.now()
let tps = 20
let timeArray = []

system.runInterval(() => {
    if (timeArray.length === 20) timeArray.shift()
    timeArray.push(Math.round(1000 / (Date.now() - lastTick) * 100) / 100)
    tps = timeArray.reduce((a, b) => a + b) / timeArray.length
    lastTick = Date.now()
})







import { world, system } from "@minecraft/server";

const TICKS_IN_FIVE_SECONDS = 8 * 1

system.events.tick(eventData => {

    const { currentTick } = eventData

    if (currentTick % TICKS_IN_FIVE_SECONDS !== 0) return;

    for (const player of world.getPlayers()) {
        player.runCommandAsync(`execute as @s[hasitem={item=cb:cloud_boots,location=slot.armor.feet}] at @s run particle minecraft:llama_spit_smoke ~~~`)
    }
    system.run
})





system.run(function tick() {
    system.run(tick)
    let one = [...world.getPlayers({ tags: "one" })][0]
    let two = [...world.getPlayers({ tags: "two" })][0]

    one.runCommandAsync(`titleraw @s actionbar {"rawtext":[{"text":"I'm Player 1 (${one.name})\nPlayer 2 is ${two.name}"}]}`);
    two.runCommandAsync(`titleraw @s actionbar {"rawtext":[{"text":"I'm Player 2\nPlayer 1 is ${one.name}"}]}`);
})




import { world, system } from "@minecraft/server";

const TICKS_IN_FIVE_SECONDS = 8 * 1

system.run(function tick() {

    const { currentTick } = eventData

    if (currentTick % TICKS_IN_FIVE_SECONDS !== 0) return;

    for (const player of world.getPlayers()) {
        player.runCommandAsync(`execute as @s[hasitem={item=cb:cloud_boots,location=slot.armor.feet}] at @s run particle minecraft:llama_spit_smoke ~~~`)
    }
    system.run
})




import { world, system } from "@minecraft/server"

const TICKS_IN_FIVE_SECONDS = 8 * 1

system.run(function tick() {

    system.run(tick)

    const { currentTick } = tick
    if (currentTick % TICKS_IN_FIVE_SECONDS !== 0) return;

    for (const player of world.getPlayers()) {
        player.runCommandAsync(`execute as @s[hasitem={item=cb:cloud_boots,location=slot.armor.feet}] at @s run particle minecraft:llama_spit_smoke ~~~`)
    };
})


import { world } from "@minecraft/server"

const TICKS_IN_FIVE_SECONDS = 8 * 1

system.run(function run() {

    const { currentTick } = tick

    if (currentTick % TICKS_IN_FIVE_SECONDS !== 0) return;

    for (const player of world.getPlayers()) {
        player.runCommandAsync(`execute as @s[hasitem={item=minecraft:iron_boots,location=slot.armor.feet}] at @s run particle minecraft:llama_spit_smoke ~~~`)
    }
    system.run(run)
})




import * as mc from '@minecraft/server';
let ticks = 0;
const dimension = mc.world.getDimension('overworld');
export function agentKiller() {
    mc.world.events.tick.subscribe(() => {
        ticks++;
        if (ticks % 20 !== 0) return;
        for (const player of mc.world.getPlayers()) {
            if (!player.hasTag('kill_agent')) continue;
            const entities = dimension.getEntities({ type: 'minecraft:agent' });
            try {
                for (const entity of entities) {
                    if (entity.nameTag === `${player.nameTag}.Agent`) entity.kill();
                }
            } catch (e) { }
            player.removeTag('kill_agent');
        }
    }
  });
}


---------------------------------------------------------------------------------------------------------------------------------------------------------------

import { world, system } from "@minecraft/server";

const TICKS_IN_FIVE_SECONDS = 8 * 1

system.run(function tick() {

    const { currentTick } = tick

    if (currentTick % TICKS_IN_FIVE_SECONDS !== 0) return;

    for (const player of world.getPlayers()) {
        player.runCommandAsync(`execute as @s[hasitem={item=minecraft:iron_boots,location=slot.armor.feet}] at @s run particle minecraft:llama_spit_smoke ~~~`)
    }
    system.run(tick)
})










import { world, system } from "@minecraft/server";

system.runInvertal(() => {

    if (world.getPlayers) {
        player.runCommandAsync(`execute as @s[hasitem={item=minecraft:iron_boots,location=slot.armor.feet}] at @s run particle minecraft:llama_spit_smoke ~~~`)
    }

}, 100);

import { world, system } from "@minecraft/server";

system.runInvertal(() => {
    // code here
}, 100);









import { world, system } from "@minecraft/server";

// Definiujemy interwał w ms
const interval = 5000;

// Uruchamiamy interwał z użyciem system.runInterval
system.runInterval(() => {
    // Sprawdzamy każdego gracza na serwerze, czy nosi żelazne buty
    world.getPlayers().forEach(player => {
        if (player.hasItem("minecraft:iron_boots", "feet")) {
            // Jeśli gracz nosi żelazne buty, uruchamiamy komendę /particle
            player.runCommandAsync("execute as @s[hasitem={item=minecraft:iron_boots,location=slot.armor.feet}] at @s run particle minecraft:llama_spit_smoke ~~~");
        }
    });
}, interval);











import { world, system } from "@minecraft/server";

const interval = 500

system.runInterval(function tick() {

    const { currentTick } = tick

    if (currentTick % interval !== 0) return;

    for (const player of world.getPlayers()) {
        player.runCommandAsync(`execute as @s[hasitem={item=minecraft:iron_boots,location=slot.armor.feet}] at @s run particle minecraft:llama_spit_smoke ~~~`)
    }
    system.run(tick)
}, interval);